use the new 4.3.3+cs toolchain for mips and arm - significantly improves code size...
authorFelix Fietkau <nbd@openwrt.org>
Tue, 20 Oct 2009 09:03:44 +0000 (09:03 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Tue, 20 Oct 2009 09:03:44 +0000 (09:03 +0000)
SVN-Revision: 18094

toolchain/gcc/Config.in
toolchain/gcc/Config.version

index 2c0f93e..f0fb184 100644 (file)
@@ -11,6 +11,8 @@ choice
        default GCC_VERSION_4_3_3 if TARGET_coldfire
        default GCC_VERSION_4_4_0 if ubicom32
        default GCC_VERSION_4_4_1 if TARGET_octeon
+       default GCC_VERSION_4_3_3_CS if mips || mipsel
+       default GCC_VERSION_4_3_3_CS if arm || armeb
        default GCC_VERSION_4_1_2
        help
          Select the version of gcc you wish to use.
index 12987f4..631bd66 100644 (file)
@@ -4,7 +4,7 @@ config GCC_VERSION
        default "4.1.2"     if GCC_VERSION_4_1_2
        default "4.2.4"     if GCC_VERSION_4_2_4
        default "4.3.3"     if GCC_VERSION_4_3_3
-       default "4.3.3+cs"     if GCC_VERSION_4_3_3_CS
+       default "4.3.3+cs"  if GCC_VERSION_4_3_3_CS
        default "4.3.4"     if GCC_VERSION_4_3_4
        default "4.4.0"     if GCC_VERSION_4_4_0
        default "4.4.1"     if GCC_VERSION_4_4_1
@@ -60,6 +60,10 @@ if !TOOLCHAINOPTS
                default y if TARGET_etrax
                default y if TARGET_coldfire
 
+       config GCC_VERSION_4_3_3_CS
+               default y if mips || mipsel
+               default y if arm || armeb
+
        config GCC_VERSION_4_4_0
                default y if ubicom32